Skip to main content
POST
/
utils
/
twilio
/
check-number
Verify and repair a Twilio number's webhooks
curl --request POST \
  --url https://eu-gcp-api.vg-stuff.com/v3/utils/twilio/check-number \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "workspaceId": "<string>",
  "phoneNumberSid": "<string>",
  "isImportedNumber": false
}
'
{
  "isGood": true
}
If something has changed the number’s voiceUrl or smsUrl in the Twilio console (or Twilio re-provisioned it), this endpoint will re-apply the correct Convocore webhooks.
curl -X POST "https://eu-gcp-api.vg-stuff.com/v3/utils/twilio/check-number" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ "phoneNumberSid": "PNxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx", "isImportedNumber": false }'

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
workspaceId
string
required
phoneNumberSid
string
required
isImportedNumber
boolean
default:false

Response

Successful response

isGood
boolean
required